Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-04-2020 22:13:50

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

[RESOLU] L'update veux me virer XORG !

Bonjour,
Depuis hier, je rencontre une problème lors des mises à jour via la commande apt update puis apt dist-upgrade, celle-ci veux me virer mon xorg comme ceci :

[Les paquets suivants seront ENLEVÉS :
xorg xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-libinput xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-nouveau xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware



Si je valide, au reboot, je n'ai plus de session graphique, je me retrouve en ligne de commande et je dois réinstaller Xorg.

Quelqu'un à une piste pour moi svp ?

Dernière modification par SuShY (11-04-2020 20:40:59)

Hors ligne

#2 11-04-2020 07:06:35

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] L'update veux me virer XORG !

Bonjour,
Est-ce que tu as listé les paquets à mettre à jour ?
L’un d’eux doit avoir une incompatibilité nouvelle avec xorg peut-être ?

Hors ligne

#3 11-04-2020 09:24:36

raleur
Membre
Inscription : 03-10-2014

Re : [RESOLU] L'update veux me virer XORG !

SuShY a écrit :

Quelqu'un à une piste pour moi svp ?


Oui :

SuShY a écrit :

Distrib. : Debian Sid


Donc attendre que la situation se stabilise pour faire les mises à jour, comme toujours.


Il vaut mieux montrer que raconter.

Hors ligne

#4 11-04-2020 12:36:09

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] L'update veux me virer XORG !

raleur a écrit :

Donc attendre que la situation se stabilise pour faire les mises à jour, comme toujours.

Ok.

Hors ligne

#5 11-04-2020 12:43:40

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] L'update veux me virer XORG !

@Chalu, merci de ton retour, ci-dessous des retours qui peuvent t'aider pour apprécier ma situation

apt update

5 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir



apt upgrade

0 mis à jour, 0 nouvellement installés, 0 à enlever et 4 non mis à jour



apt dist-upgrade

Les paquets suivants seront ENLEVÉS :
xorg xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-libinput xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-nouveau xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
0 mis à jour, 0 nouvellement installés, 16 à enlever et 4 non mis à jour



apt list --upgradable

isc-dhcp-client/unstable 4.4.1-2.1+b2 amd64 [pouvant être mis à jour depuis : 4.4.1-2.1+b1]
libegl-mesa0/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libgbm1/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libgl1-mesa-dri/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libglapi-mesa/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]

Hors ligne

#6 11-04-2020 13:44:02

raleur
Membre
Inscription : 03-10-2014

Re : [RESOLU] L'update veux me virer XORG !

C'est probablement lié à la mise à jour de Mesa.

Il vaut mieux montrer que raconter.

Hors ligne

#7 11-04-2020 13:47:38

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] L'update veux me virer XORG !

raleur a écrit :

C'est probablement lié à la mise à jour de Mesa.

Il y a des chances en effet, je vais rester patient, j'attends les mises à jour et en attendant je veille à ne pas virer Xorg.

Hors ligne

#8 11-04-2020 14:33:37

melissa6969
Banni(e)
Inscription : 30-11-2016

Re : [RESOLU] L'update veux me virer XORG !

ça fait combien de temps que ton système n'a pas été mis à jour.??

si j'en crois le tracker de Debian, mesa 19.3.3-1 est arrivé dans les dépôts le 28 janvier 2020.
et la 2e mise à jour majeure de mesa (version 20.0.2-1) date du 19 mars 2020.
autrement dit, ça fait un sacré bout de temps que ton système n'a pas été mis à jour.
chez moi c'est passé comme des roulettes pour mesa 20.0.4-1, il y a une semaine environ..

Sid il faut la mettre à jour de façon régulière (toutes les 2 semaines maximum) sinon ce genre de problèmes peuvent vite s'accumuler, et sortir du pétrin devient le parcours du combattant.

Quamdiu est spes est, Est vitae.
Fiet in posterum melius

Hors ligne

#9 11-04-2020 14:36:21

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] L'update veux me virer XORG !

Hello melissa6969, je met à jour mon système toute les semaines, via les commandes que j'ai détaillé ci-dessus.
Je vais essayer de forcer les mises à jour de mesa.

Hors ligne

#10 11-04-2020 14:41:44

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] L'update veux me virer XORG !

Mais ce n'est pas si facile, regarde cet exemple :

apt install libglapi-mesa


Les paquets suivants seront ENLEVÉS :
  aladin alsamixergui chromium chromium-common chromium-l10n clementine compton default-jre ffmpeg filezilla kwayland-integration libatk-wrapper-java libatk-wrapper-java-jni libavdevice58 libfltk1.1 libgl1 libglew2.1 libglu1-mesa libglx-mesa0 libglx0 libkf5authcore5 libkf5configwidgets5 libkf5crash5 libkf5iconthemes-bin libkf5iconthemes5 libkf5idletime5 libkf5itemviews5
  libkf5widgetsaddons5 libkf5windowsystem5 libpolkit-qt5-1-1 libqscintilla2-qt5-15 libqt5gui5 libqt5printsupport5 libqt5svg5 libqt5widgets5 libreoffice-nlpsolver libreoffice-script-provider-bsh libreoffice-script-provider-js libreoffice-sdbc-hsqldb libreoffice-wiki-publisher libvdpau-va-gl1 libwxgtk3.0-gtk3-0v5 lightning mesa-utils mumble openjdk-11-jre openjdk-8-jre
  polkit-kde-agent-1 sqlitebrowser thunderbird thunderbird-l10n-fr vdpau-driver-all x11-utils xorg xserver-xephyr xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-libinput xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-nouveau
  xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware

Les NOUVEAUX paquets suivants seront installés :
  firefox-esr libgles2 libqt5gui5-gles policykit-1-gnome

Les paquets suivants seront mis à jour :
  libegl-mesa0 libgbm1 libgl1-mesa-dri libglapi-mesa
4 mis à jour, 4 nouvellement installés, 70 à enlever et 1 non mis à jour

Hors ligne

#11 11-04-2020 15:34:22

melissa6969
Banni(e)
Inscription : 30-11-2016

Re : [RESOLU] L'update veux me virer XORG !

fais la mise à jour en 2 temps.

tu mets à jour les dépôts

sudo apt update


ensuite un

sudo apt upgrade


pour voir si les problèmes persistent.

parce que là c'est pas normal les problèmes que t'as, mesa serait sorti aujourd'hui je comprendrais mais c'est pas le cas.

et si tu fais tes mises à jour toutes les semaines, c'est encore moins normal de pas avoir eu la version intermédiaire de Mesa.
t'as soit des fichiers de préférence qui trainent, soit des dépôts mal configurés.


Quamdiu est spes est, Est vitae.
Fiet in posterum melius

Hors ligne

#12 11-04-2020 16:15:22

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [RESOLU] L'update veux me virer XORG !

melissa6969 a écrit :

t'as soit des fichiers de préférence qui trainent, soit des dépôts mal configurés.


c'est vrai que ça semble le bazar mais je n'y connais rien à sid wink
Par contre avant de lui faire faire un upgrade, ça pourrait être judicieux de vérifier son sources.list et aussi sources.list.d et voir s'il y a des fichiers de préférence.

apt policy

pourrait aider je crois (ça devrait retourner la liste des dépôts et leurs préférences si mes souvenirs sont bons)
Je te laisse faire pour la suite, tu es mieux placée que moi pour l'aide smile

Hors ligne

#13 11-04-2020 20:32:30

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] L'update veux me virer XORG !

@melissa6969

Comme indiqué dans mon post #5 mais un peu plus complet ci-dessous :

apt update

5 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir



apt upgrade

Les paquets suivants ont été conservés :
libegl-mesa0 libgbm1 libgl1-mesa-dri libglapi-mesa
0 mis à jour, 0 nouvellement installés, 0 à enlever et 4 non mis à jour.



apt dist-upgrade

Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
libxatracker2 libxvmc1 x11-apps x11-session-utils xbitmaps xfonts-100dpi xfonts-75dpi xfonts-scalable xserver-xorg-legacy
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
xorg xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-libinput xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-nouveau xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware
Les paquets suivants ont été conservés :
libegl-mesa0 libgbm1 libgl1-mesa-dri libglapi-mesa
0 mis à jour, 0 nouvellement installés, 16 à enlever et 4 non mis à jour.
 



apt list --upgradable

isc-dhcp-client/unstable 4.4.1-2.1+b2 amd64 [pouvant être mis à jour depuis : 4.4.1-2.1+b1]
libegl-mesa0/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libgbm1/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libgl1-mesa-dri/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]
libglapi-mesa/unstable 20.0.4-1 amd64 [pouvant être mis à jour depuis : 19.3.3-1]

Hors ligne

#14 11-04-2020 20:40:47

SuShY
CA Debian-Facile
Lieu : Chartres
Distrib. : Debian Sid x86_64
Noyau : Linux > 5.8.x-x-amd64
(G)UI : i3WM - 4.18-1
Inscription : 06-01-2018
Site Web

Re : [RESOLU] L'update veux me virer XORG !

Problème solutionné, j'avais un paquet bloqué en apt-listbugs qui coincé, il n'a pas été mis à jour alors que la nouvelle version était présente.
Tantpis, j'ai forcé et du coup c'est bon, tout mon système est à jour et Xorg ne veux plus se faire la malle.
Merci pour votre aide.

Hors ligne

Pied de page des forums